package kaysaar.aotd_question_of_loyalty.data.scripts.crisisalt;

import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.campaign.InteractionDialogAPI;
import kaysaar.aotd_question_of_loyalty.data.models.AoTDHandleBonusesFromBeingRetired;
import com.fs.starfarer.api.impl.campaign.intel.events.HostileActivityEventIntel;
import com.fs.starfarer.campaign.CampaignClock;
import com.fs.starfarer.api.util.IntervalUtil;
import com.fs.starfarer.api.EveryFrameScript;

public class ActivityCrisisRemover implements EveryFrameScript
{
    public IntervalUtil util;
    protected boolean didIt;
    
    public ActivityCrisisRemover() {
        this.util = new IntervalUtil(CampaignClock.SECONDS_PER_GAME_DAY / 4.0f, CampaignClock.SECONDS_PER_GAME_DAY / 4.0f);
        this.didIt = false;
    }
    
    public boolean isDone() {
        return false;
    }
    
    public boolean runWhilePaused() {
        return false;
    }
    
    public void advance(final float amount) {
        this.util.advance(amount);
        if (this.util.intervalElapsed() && !this.didIt && HostileActivityEventIntel.get() != null) {
            AoTDHandleBonusesFromBeingRetired.applyBonusesFromRetirement((InteractionDialogAPI)null);
            this.didIt = true;
            Global.getSector().removeScriptsOfClass((Class)this.getClass());
        }
    }
}
